lposcila
Prev | Orchestra Opcodes and Operators | Next

## lposcila

lposcila — Read sampled sound from a table with optional looping and high precision.

## Description

lposcila reads sampled sound from a table with optional looping and high precision.

## Syntax

    ar lposcila aamp, kfreqratio, kloop, kend, ift [,iphs]

## Initialization

ift - function table number

iphs - initial phase (in samples)

## Performance

ar - output signal

aamp - amplitude

kfreqratio - multiply factor of table frequency (for example: 1 = original frequency, 1.5 = a fifth up , .5 = an octave down)

kloop - loop point (in samples)

kend - end loop point (in samples)

lposcila is the same as lposcil, but has an audio-rate amplitude argument (instead of k-rate) to allow fast envelope transients.

## See Also

lposcil, lposcilsa, lposcilsa2

## Credits

Author: Gabriel Maldonado

New in version 5.06

Prev | Up | Next
lposcil3 | Home | lposcilsa